# $Revision: 1.79 $, $Date: 2010/08/12 06:13:17 $
#
# Conditional build:
%bcond_without	apidocs		# disable gtk-doc
%bcond_without	bonobo		# without bonobo support in GNOME extension
%bcond_without	gnome		# without GNOME extensions packages
%bcond_with	gnomevfs	# use gnome-vfs instead of gio in GNOME extension
%bcond_without	static_libs	# don't build static libraries
#
%if %{without gnome}
%undefine	with_bonobo
%undefine	with_gnomevfs
%endif
Summary:	GNOME Structured File library
Summary(pl.UTF-8):	Biblioteka plików strukturalnych dla GNOME
Name:		libgsf
Version:	1.14.18
Release:	1
License:	LGPL v2.1
Group:		Libraries
Source0:	http://ftp.gnome.org/pub/GNOME/sources/libgsf/1.14/%{name}-%{version}.tar.bz2
# Source0-md5:	2c15d875b1931c40c7e7a2368f3ed948
Patch0:		%{name}-no_GConf2_macros.patch
URL:		http://www.gnumeric.org/
BuildRequires:	GConf2-devel >= 2.14.0
BuildRequires:	ORBit2-devel >= 1:2.14.3
BuildRequires:	autoconf >= 2.54
BuildRequires:	automake >= 1:1.7.1
BuildRequires:	bzip2-devel
BuildRequires:	docbook-dtd412-xml
BuildRequires:	gettext-devel
# gio-2.0
BuildRequires:	glib2-devel >= 1:2.16.0
%{?with_gnomevfs:BuildRequires:	gnome-vfs2-devel >= 2.16.1}
%{?with_apidocs:BuildRequires:	gtk-doc >= 1.7}
%{?with_apidocs:BuildRequires:	gtk-doc-automake}
BuildRequires:	intltool >= 0.35.0
%{?with_bonobo:BuildRequires:	libbonobo-devel >= 2.0.0}
BuildRequires:	libtool
BuildRequires:	libxml2-devel >= 1:2.6.26
BuildRequires:	pkgconfig
BuildRequires:	python-pygobject-devel >= 2.10.0
# for pygtk-codegen-2.0
BuildRequires:	python-pygtk-devel >= 2:2.10.2
BuildRequires:	rpm-pythonprov
BuildRequires:	zlib-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
A library for reading and writing structured files (e.g. MS OLE and
Zip).

%description -l pl.UTF-8
Biblioteka do odczytu i zapisu plików strukturalnych (np. MS OLE lub
Zip).

%package devel
Summary:	Support files necessary to compile applications with libgsf
Summary(pl.UTF-8):	Pliki do kompilowania aplikacji używających libgsf
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	bzip2-devel
Requires:	glib2-devel >= 1:2.16.0
Requires:	libxml2-devel >= 1:2.6.26

%description devel
Headers, and support files necessary to compile applications using
libgsf.

%description devel -l pl.UTF-8
Pliki nagłówkowe i inne potrzebne do kompilowania aplikacji
używających libgsf.

%package static
Summary:	libgsf static libraries
Summary(pl.UTF-8):	Statyczne biblioteki libgsf
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Package contains static libraries.

%description static -l pl.UTF-8
Statyczne biblioteki libgsf.

%package apidocs
Summary:	libgsf API documentation
Summary(pl.UTF-8):	Dokumentacja API libgsf
Group:		Documentation
Requires:	gtk-doc-common

%description apidocs
libgsf API documentation.

%description apidocs -l pl.UTF-8
Dokumentacja API libgsf.

%package gnome
Summary:	GNOME specific extensions to libgsf
Summary(pl.UTF-8):	Rozszerzenia GNOME do biblioteki libgsf
Group:		Libraries
Requires:	%{name} = %{version}-%{release}

%description gnome
GNOME specific extensions to libgsf.

%description gnome -l pl.UTF-8
Rozszerzenia GNOME do biblioteki libgsf.

%package gnome-devel
Summary:	libgsf-gnome header files
Summary(pl.UTF-8):	Pliki nagłówkowe libgsf-gnome
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}
Requires:	%{name}-gnome = %{version}-%{release}
%{?with_gnomevfs:Requires:	gnome-vfs2-devel >= 2.16.1}
%{?with_bonobo:Requires:	libbonobo-devel >= 2.0.0}

%description gnome-devel
libgsf-gnome header files.

%description gnome-devel -l pl.UTF-8
Pliki nagłówkowe libgsf-gnome.

%package gnome-static
Summary:	Static libgsf-gnome library
Summary(pl.UTF-8):	Statyczna biblioteka libgsf-gnome
Group:		Development/Libraries
Requires:	%{name}-gnome-devel = %{version}-%{release}

%description gnome-static
Static libgsf-gnome library.

%description gnome-static -l pl.UTF-8
Statyczna biblioteka libgsf-gnome.

%package -n gsf-office-thumbnailer
Summary:	Simple document thumbnailer
Summary(pl.UTF-8):	Prosty generator miniatur dokumentów
Group:		X11/Applications
Requires(post,preun):	GConf2
Requires:	%{name}-gnome = %{version}-%{release}

%description -n gsf-office-thumbnailer
Simple document thumbnailer.

%description -n gsf-office-thumbnailer -l pl.UTF-8
Prosty program tworzący miniaturki dokumentów.

%package -n python-gsf
Summary:	Python gsf module
Summary(pl.UTF-8):	Moduł gsf dla Pythona
Group:		Libraries
%pyrequires_eq	python-libs
Requires:	%{name} = %{version}-%{release}
Requires:	python-pygobject >= 2.10.0

%description -n python-gsf
Python gsf library.

%description -n python-gsf -l pl.UTF-8
Biblioteka gsf dla Pythona.

%package -n python-gsf-gnome
Summary:	Python gsf-gnome module
Summary(pl.UTF-8):	Moduł gsf-gnome dla Pythona
Group:		Libraries
%pyrequires_eq	python-libs
Requires:	python-gsf = %{version}-%{release}

%description -n python-gsf-gnome
Python gsf-gnome library.

%description -n python-gsf-gnome -l pl.UTF-8
Biblioteka gsf-gnome dla Pythona.

%prep
%setup -q
%{!?with_gnome:%patch0 -p1}

%build
%{?with_apidocs:%{__gtkdocize}}
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-silent-rules \
	%{!?with_static_libs:--disable-static} \
	%{?with_apidocs:--enable-gtk-doc} \
	--with-html-dir=%{_gtkdocdir} \
	%{!?with_gnomevfs:--with-gio} \
%if %{with gnome}
	%{!?with_bonobo:--without-bonobo} \
	--with-gnome-vfs
%else
	--without-bonobo \
	--without-gnome-vfs
%endif
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

rm -rf $RPM_BUILD_ROOT%{_includedir}/%{name}-1/gsf-win32
rm -f $RPM_BUILD_ROOT%{py_sitedir}/gsf/*.{la,a}
rm -f $RPM_BUILD_ROOT%{py_sitescriptdir}/gsf/*.py

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%post   gnome -p /sbin/ldconfig
%postun gnome -p /sbin/ldconfig

%post -n gsf-office-thumbnailer
%gconf_schema_install gsf-office-thumbnailer.schemas

%preun -n gsf-office-thumbnailer
%gconf_schema_uninstall gsf-office-thumbnailer.schemas

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS README NEWS
%attr(755,root,root) %{_bindir}/gsf
%attr(755,root,root) %{_bindir}/gsf-vba-dump
%attr(755,root,root) %{_libdir}/libgsf-1.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libgsf-1.so.114
%{_mandir}/man1/gsf.1*
%{_mandir}/man1/gsf-vba-dump.1*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libgsf-1.so
%{_libdir}/libgsf-1.la
%dir %{_includedir}/libgsf-1
%{_includedir}/libgsf-1/gsf
%{_pkgconfigdir}/libgsf-1.pc

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libgsf-1.a
%endif

%if %{with apidocs}
%files apidocs
%defattr(644,root,root,755)
%{_gtkdocdir}/gsf
%endif

%if %{with gnome}
%files gnome
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libgsf-gnome-1.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libgsf-gnome-1.so.114

%files gnome-devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libgsf-gnome-?.so
%{_libdir}/libgsf-gnome-1.la
%{_includedir}/libgsf-1/gsf-gnome
%{_pkgconfigdir}/libgsf-gnome-1.pc

%if %{with static_libs}
%files gnome-static
%defattr(644,root,root,755)
%{_libdir}/libgsf-gnome-1.a
%endif

%files -n gsf-office-thumbnailer
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/gsf-office-thumbnailer
%{_sysconfdir}/gconf/schemas/gsf-office-thumbnailer.schemas
%{_mandir}/man1/gsf-office-thumbnailer.1*
%endif

%files -n python-gsf
%defattr(644,root,root,755)
%dir %{py_sitedir}/gsf
%attr(755,root,root) %{py_sitedir}/gsf/_gsfmodule.so
%dir %{py_sitescriptdir}/gsf
%{py_sitescriptdir}/gsf/*.py[co]

%if %{with gnome}
%files -n python-gsf-gnome
%defattr(644,root,root,755)
%attr(755,root,root) %{py_sitedir}/gsf/gnomemodule.so
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libgsf.spec,v $
Revision 1.79  2010/08/12 06:13:17  qboosh
- updated to 1.14.18

Revision 1.78  2010/07/09 11:18:14  arekm
- release 2

Revision 1.77  2009/12/25 14:21:15  megabajt
- updated to 1.14.16
- removed obsolete -gio.patch

Revision 1.76  2009/11/28 01:35:28  sparky
- BR: docbook-dtd412-xml

Revision 1.75  2009/05/13 19:45:15  megabajt
- updated to 1.14.13

Revision 1.74  2009/04/28 18:23:44  megabajt
- updated to 1.14.12
- removed obsolete -build.patch

Revision 1.73  2009/03/14 16:39:13  megabajt
- added -build.patch (should fix build on th-i486)
- release 2

Revision 1.72  2009/03/14 14:41:46  megabajt
- now there is no need to package gsf-config.h

Revision 1.71  2009/03/14 14:34:56  megabajt
- updated to 1.14.11

Revision 1.70  2009/03/14 12:16:00  hawk
- release 7

Revision 1.69  2008/10/12 17:30:31  radek
- release 6: install gsf-config.h after all (sigh)

Revision 1.68  2008/10/12 15:35:16  radek
- revert my previous change

Revision 1.67  2008/10/12 15:24:45  radek
- install libgsf-config.h

Revision 1.66  2008/10/04 21:14:36  megabajt
- release 2

Revision 1.65  2008/09/14 11:40:14  charles
- BR: gettext-devel, intltool, rpm-pythonprov

Revision 1.64  2008/08/31 15:27:29  qboosh
- added gio patch
- updated configure options related to GNOME
- enabled gio (BR: glib 2.16)

Revision 1.63  2008/08/31 13:26:25  patrys
- 1.14.9

Revision 1.62  2008-06-02 17:31:09  qboosh
- ghost soname symlinks

Revision 1.61  2008-06-01 07:19:01  adamg
- updated to 1.14.8

Revision 1.60  2007/09/07 18:18:33  megabajt
- updated to 1.14.7

Revision 1.59  2007/09/04 16:24:38  megabajt
- updated to 1.14.6

Revision 1.58  2007/08/19 19:29:47  witekfl
- added bcond_without static_libs

Revision 1.57  2007/08/04 11:48:11  qboosh
- License is LGPL v2.1 (with no option)

Revision 1.56  2007/07/25 23:11:44  megabajt
- updated to 1.14.5
- removed obsolete am patch

Revision 1.55  2007/06/18 17:36:06  qboosh
- added am patch (fixes --without gnome)

Revision 1.54  2007/06/18 16:53:18  megabajt
- updated to 1.14.4

Revision 1.53  2007/04/27 18:00:31  megabajt
- added apidocs subpackage
- release 2

Revision 1.52  2007/04/27 08:21:02  qboosh
- CVE reference for 1.14.2

Revision 1.51  2007/02/13 06:46:51  glen
- tabs in preamble

Revision 1.50  2007/02/12 00:49:02  baggins
- converted to UTF-8

Revision 1.49  2006/11/19 18:58:13  qboosh
- updated to 1.14.3
- updated deps for pygobject separated from pygtk

Revision 1.48  2006/10/06 17:39:04  qboosh
- unified caps

Revision 1.47  2006/10/03 18:43:14  grzegol
- updated to 1.14.2 [fixes CVE-2006-4514]
- added python-gsf and python-gsf-gnome subpackages
- updated %%files

Revision 1.46  2006/07/12 16:40:30  freetz
- rel.3, --as-needed support, updated deps

Revision 1.45  2006/06/10 21:30:52  freetz
- rel.2, bleeding edge deps

Revision 1.44  2006/05/21 22:19:28  qboosh
- updated to 1.14.1

Revision 1.43  2006/03/04 14:08:02  freetz
- 1.14.0, (soname changed!)

Revision 1.42  2006/02/23 22:45:17  freetz
- make BR human readable

Revision 1.41  2005/12/11 06:13:32  qrczak
- Fixed unbalanced braces in spec (apidocs bcond).

Revision 1.40  2005/12/01 16:57:55  adgor
- Added apidocs bcond
- Added no_GConf2_macros.patch
- with gnome BR GConf2-devel

Revision 1.39  2005/11/08 09:03:01  freetz
- 1.13.3

Revision 1.38  2005/10/10 15:32:25  freetz
- merged from DEVEL

Revision 1.37.2.7  2005/10/10 15:25:45  freetz
- 1.13.2

Revision 1.37.2.6  2005/10/10 15:10:26  freetz
- 1.13.1

Revision 1.37.2.5  2005/09/09 09:10:43  qboosh
- don't rely on man gzipping

Revision 1.37.2.4  2005/09/08 14:12:03  aflinta
- 1.12.3

Revision 1.37.2.3  2005/08/16 10:06:42  freetz
- 1.12.2, gsf-office-thumbnailer subpackage added

Revision 1.37.2.2  2005/07/03 18:01:36  freetz
- 1.12.1

Revision 1.37.2.1  2005/05/20 14:56:09  paladine
- updated to 0.12.0

Revision 1.37  2005/05/20 14:25:58  paladine
- reverted (0.12.0 is for DEVEL)

Revision 1.36  2005/05/20 13:53:07  paladine
- updated to 0.12.0

Revision 1.35  2004/12/11 00:04:15  ankry
- rel. 2

Revision 1.34  2004/12/06 18:36:02  freetz
- 1.11.1, STBR

Revision 1.33  2004/11/29 09:18:02  freetz
- 1.11.0 (it's stable for gnumeric 1.4.0)

Revision 1.32  2004/08/20 22:48:20  aflinta
- up to version 1.10.1

Revision 1.31  2004/07/04 21:20:33  grzegol
- updated to 1.10.0

Revision 1.30  2004/06/11 23:06:31  jpc
- remove unneeded win32 include files

Revision 1.29  2004/05/16 22:07:33  freetz
- oops, docs build is enabled by default (sorry about that)

Revision 1.28  2004/05/16 21:55:27  freetz
- 1.9.1

Revision 1.27  2004/05/05 10:53:59  grzegol
- updated to 1.9.0
- strict internal deps

Revision 1.26  2004/01/22 13:57:22  qboosh
- new-style bcond, release 2

Revision 1.25  2003/11/11 01:33:22  ankry
- caps unification, other cosmetics

Revision 1.24  2003/10/14 16:29:37  qboosh
- BR+R: bzip2-devel

Revision 1.23  2003/09/13 10:02:05  grzegol
- updated to 1.8.2

Revision 1.22  2003/08/26 20:31:20  ankry
- s/[Gg]nome/GNOME/

Revision 1.21  2003/08/01 11:58:49  grzegol
- rel++ to rebuild without linc
- sorting/cosmetics

Revision 1.20  2003/06/07 08:39:17  wiget
- updated to 1.8.1

Revision 1.19  2003/05/27 09:47:07  trojan
- added Source-md5

Revision 1.18  2003/05/25 05:49:52  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.17  2003/05/12 21:09:15  aflinta
- version 1.8.0

Revision 1.16  2003/04/27 14:11:47  qboosh
- added _without_gnome bcond

Revision 1.15  2003/01/28 09:12:44  aflinta
- updated to version 1.7.2, removed obsoleted patch

Revision 1.14  2003/01/18 07:39:49  trojan
- fixed files (no need 755 for *.la)

Revision 1.13  2002/11/18 22:30:06  wrobell
- rel. 2

Revision 1.12  2002/10/30 13:22:15  qboosh
- one R more

Revision 1.11  2002/10/30 13:20:52  qboosh
- split done, added Requires for -devel packages

Revision 1.10  2002/10/29 18:21:44  wiget
- typo

Revision 1.9  2002/10/29 18:21:09  wiget
- more BRs

Revision 1.8  2002/10/29 17:04:46  wiget
- updated to 1.5.0
- removed unused gettext things

Revision 1.7  2002/10/09 13:14:38  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.6  2002/08/31 15:56:47  qboosh
- pl descriptions, more BRs, release 2

Revision 1.5  2002/08/30 07:42:08  kura
- added -f to rm in %clean

Revision 1.4  2002/08/27 22:56:07  kloczek
- cosmetics.

Revision 1.3  2002/08/27 22:11:28  michuz
- added post & postun

Revision 1.2  2002/08/27 22:08:04  michuz
- fixed BR

Revision 1.1  2002/08/27 22:03:42  michuz
- initial release
